using UnityEngine;

[RequireComponent(typeof(BoxCollider)), DisallowMultipleComponent]
public class ElectricShock : MonoBehaviour
{
    public delegate void CollisionEvent(GameObject _gameObject);
    public event CollisionEvent OnCollision;
    
    private void OnTriggerEnter(Collider _collider)
    {
        OnCollision(_collider.gameObject);
    }
}
